diff --git a/dvb-t/ie-CairnHill b/dvb-t/ie-CairnHill
index d3a5dc5..928436f 100644
--- a/dvb-t/ie-CairnHill
+++ b/dvb-t/ie-CairnHill
@@ -1,5 +1,5 @@
 # Ireland, Cairn Hill
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
 [CH47: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
 	FREQUENCY = 682000000
diff --git a/dvb-t/ie-ClermontCarn b/dvb-t/ie-ClermontCarn
index 81f17d2..1e98938 100644
--- a/dvb-t/ie-ClermontCarn
+++ b/dvb-t/ie-ClermontCarn
@@ -1,8 +1,8 @@
 # Ireland, Clermont Carn
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
-[CH52: Saorview MUX1]
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
+[CH42: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 722000000
+	FREQUENCY = 642000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
@@ -12,9 +12,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[CH56: Saorview MUX2]
+[CH45: Saorview MUX2]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 754000000
+	FREQUENCY = 666000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
diff --git a/dvb-t/ie-Dungarvan b/dvb-t/ie-Dungarvan
index 1c2ccd8..1cc129a 100644
--- a/dvb-t/ie-Dungarvan
+++ b/dvb-t/ie-Dungarvan
@@ -1,5 +1,5 @@
 # Ireland, Dungarvan
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
 [CH55: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
 	FREQUENCY = 746000000
diff --git a/dvb-t/ie-HolywellHill b/dvb-t/ie-HolywellHill
index 5bb2c58..dae9326 100644
--- a/dvb-t/ie-HolywellHill
+++ b/dvb-t/ie-HolywellHill
@@ -1,8 +1,8 @@
 # Ireland, Holywell Hill
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
-[CH30: Saorview MUX1]
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
+[CH22: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 546000000
+	FREQUENCY = 482000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
@@ -12,9 +12,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[CH33: Saorview MUX2]
+[CH25: Saorview MUX2]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 570000000
+	FREQUENCY = 506000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
diff --git a/dvb-t/ie-Kippure b/dvb-t/ie-Kippure
index 8a7a3be..e283d23 100644
--- a/dvb-t/ie-Kippure
+++ b/dvb-t/ie-Kippure
@@ -1,8 +1,8 @@
 # Ireland, Kippure
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
-[CH54: Saorview MUX1]
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
+[CH34: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 738000000
+	FREQUENCY = 578000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
@@ -12,9 +12,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[CH58: Saorview MUX2]
+[CH35: Saorview MUX2]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 770000000
+	FREQUENCY = 586000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
diff --git a/dvb-t/ie-Maghera b/dvb-t/ie-Maghera
index e87acd9..f88e642 100644
--- a/dvb-t/ie-Maghera
+++ b/dvb-t/ie-Maghera
@@ -1,5 +1,5 @@
 # Ireland, Maghera
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
 [CH48: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
 	FREQUENCY = 690000000
@@ -12,9 +12,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[CH55: Saorview MUX2]
+[CH46: Saorview MUX2]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 746000000
+	FREQUENCY = 674000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
diff --git a/dvb-t/ie-MountLeinster b/dvb-t/ie-MountLeinster
index 60430a2..17e9ce0 100644
--- a/dvb-t/ie-MountLeinster
+++ b/dvb-t/ie-MountLeinster
@@ -1,5 +1,5 @@
 # Ireland, Mount Leinster
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
 [CH23: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
 	FREQUENCY = 490000000
diff --git a/dvb-t/ie-Mullaghanish b/dvb-t/ie-Mullaghanish
index 9eb7ceb..d815c3c 100644
--- a/dvb-t/ie-Mullaghanish
+++ b/dvb-t/ie-Mullaghanish
@@ -1,5 +1,5 @@
 # Ireland, Mullaghanish
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
 [CH21: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
 	FREQUENCY = 474000000
diff --git a/dvb-t/ie-SpurHill b/dvb-t/ie-SpurHill
index 96782fe..7d152f3 100644
--- a/dvb-t/ie-SpurHill
+++ b/dvb-t/ie-SpurHill
@@ -1,5 +1,5 @@
 # Ireland, Spur Hill
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
 [CH45: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
 	FREQUENCY = 666000000
@@ -12,9 +12,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[CH49: Saorview MUX2]
+[CH39: Saorview MUX2]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 698000000
+	FREQUENCY = 618000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
diff --git a/dvb-t/ie-ThreeRock b/dvb-t/ie-ThreeRock
index 7df648e..210fdd8 100644
--- a/dvb-t/ie-ThreeRock
+++ b/dvb-t/ie-ThreeRock
@@ -1,5 +1,5 @@
 # Ireland, Three Rock
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
 [CH30: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
 	FREQUENCY = 546000000
diff --git a/dvb-t/ie-Truskmore b/dvb-t/ie-Truskmore
index 838429c..5dfef70 100644
--- a/dvb-t/ie-Truskmore
+++ b/dvb-t/ie-Truskmore
@@ -1,8 +1,8 @@
 # Ireland, Truskmore
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
-[CH53: Saorview MUX1]
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
+[CH42: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 730000000
+	FREQUENCY = 642000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
@@ -12,9 +12,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[CH57: Saorview MUX2]
+[CH45: Saorview MUX2]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 762000000
+	FREQUENCY = 666000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
diff --git a/dvb-t/ie-WoodcockHill b/dvb-t/ie-WoodcockHill
index 065e6fc..698e781 100644
--- a/dvb-t/ie-WoodcockHill
+++ b/dvb-t/ie-WoodcockHill
@@ -1,5 +1,5 @@
 # Ireland, Woodcock Hill
-# Generated from http://www.comreg.ie/_fileupload/Broadcast_Technical_Parameters.xlsx
+# Generated from https://www.2rn.ie/wp-content/uploads/2019/09/2RN-DTT-Television-Transmission-Network-Sept-2019-Rev.1.2.pdf
 [CH47: Saorview MUX1]
 	DELIVERY_SYSTEM = DVBT
 	FREQUENCY = 682000000