diff --git a/dvb-t/uk-MoelyParc b/dvb-t/uk-MoelyParc
index 39655a0..6f7b23d 100644
--- a/dvb-t/uk-MoelyParc
+++ b/dvb-t/uk-MoelyParc
@@ -3,7 +3,7 @@
 # <https://www.freeview.co.uk/help/coverage-checker/detailed-view/download/CH7 5UU>
 #----------------------------------------------------------------------------------------------
 # location and provider: UK, Moel y Parc
-# date (yyyy-mm-dd)    : 2020-07-10
+# date (yyyy-mm-dd)    : 2021-01-28
 #
 #----------------------------------------------------------------------------------------------
 [C45 BBC A]
@@ -43,9 +43,9 @@
 	STREAM_ID = 0
 	INVERSION = AUTO
 
-[C51- SDN]
+[C33 SDN]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 713833000
+	FREQUENCY = 570000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
diff --git a/dvb-t/uk-Saddleworth b/dvb-t/uk-Saddleworth
index f1c9ec2..56e70f5 100644
--- a/dvb-t/uk-Saddleworth
+++ b/dvb-t/uk-Saddleworth
@@ -3,7 +3,7 @@
 # <https://www.freeview.co.uk/help/coverage-checker/detailed-view/download/OL3 5RU>
 #----------------------------------------------------------------------------------------------
 # location and provider: UK, Saddleworth
-# date (yyyy-mm-dd)    : 2020-07-10
+# date (yyyy-mm-dd)    : 2021-01-28
 #
 #----------------------------------------------------------------------------------------------
 [C45 BBC A]
@@ -18,9 +18,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[C39+ D3&4]
+[C39 D3&4]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 618167000
+	FREQUENCY = 618000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 2/3
 	CODE_RATE_LP = NONE
@@ -43,9 +43,9 @@
 	STREAM_ID = 0
 	INVERSION = AUTO
 
-[C51- SDN]
+[C33 SDN]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 713833000
+	FREQUENCY = 570000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
@@ -55,9 +55,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[C52+ ARQ A]
+[C36 ARQ A]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 722167000
+	FREQUENCY = 594000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
diff --git a/dvb-t/uk-Storeton b/dvb-t/uk-Storeton
index 5d51e4e..ce31b72 100644
--- a/dvb-t/uk-Storeton
+++ b/dvb-t/uk-Storeton
@@ -3,7 +3,7 @@
 # <https://www.freeview.co.uk/help/coverage-checker/detailed-view/download/CH63 2RH>
 #----------------------------------------------------------------------------------------------
 # location and provider: UK, Storeton
-# date (yyyy-mm-dd)    : 2020-07-10
+# date (yyyy-mm-dd)    : 2021-01-28
 #
 #----------------------------------------------------------------------------------------------
 [C28 BBC A]
@@ -67,9 +67,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[C29 ARQ B]
+[C30 ARQ B]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 538000000
+	FREQUENCY = 546000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
@@ -79,9 +79,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[C30 L-LIV]
+[C43 L-LIV]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 546000000
+	FREQUENCY = 650000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
diff --git a/dvb-t/uk-WinterHill b/dvb-t/uk-WinterHill
index 97895b5..13dc78f 100644
--- a/dvb-t/uk-WinterHill
+++ b/dvb-t/uk-WinterHill
@@ -3,7 +3,7 @@
 # <https://www.freeview.co.uk/help/coverage-checker/detailed-view/download/BL6 6SL>
 #----------------------------------------------------------------------------------------------
 # location and provider: UK, Winter Hill
-# date (yyyy-mm-dd)    : 2020-07-10
+# date (yyyy-mm-dd)    : 2021-01-28
 #
 #----------------------------------------------------------------------------------------------
 [C32 BBC A]
@@ -18,9 +18,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[C59 D3&4]
+[C34 D3&4]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 778000000
+	FREQUENCY = 578000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 2/3
 	CODE_RATE_LP = NONE
@@ -30,9 +30,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[C54- BBC B HD]
+[C35 BBC B HD]
 	DELIVERY_SYSTEM = DVBT2
-	FREQUENCY = 737833000
+	FREQUENCY = 586000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 2/3
 	CODE_RATE_LP = NONE
@@ -43,9 +43,9 @@
 	STREAM_ID = 0
 	INVERSION = AUTO
 
-[C58 SDN]
+[C29 SDN]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 770000000
+	FREQUENCY = 538000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE
@@ -55,9 +55,9 @@
 	HIERARCHY = NONE
 	INVERSION = AUTO
 
-[C49 ARQ A]
+[C31 ARQ A]
 	DELIVERY_SYSTEM = DVBT
-	FREQUENCY = 698000000
+	FREQUENCY = 554000000
 	BANDWIDTH_HZ = 8000000
 	CODE_RATE_HP = 3/4
 	CODE_RATE_LP = NONE